
From: Rusty Russell <rusty@rustcorp.com.au>

From:  Josef 'Jeff' Sipek <jeffpc@optonline.net>

I just noticed the nested ifdefs, and made it little more readable.


---

 25-akpm/arch/i386/kernel/irq.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

diff -puN arch/i386/kernel/irq.c~i386-irq-cleanup arch/i386/kernel/irq.c
--- 25/arch/i386/kernel/irq.c~i386-irq-cleanup	2004-03-22 20:35:21.256929480 -0800
+++ 25-akpm/arch/i386/kernel/irq.c	2004-03-22 20:35:21.259929024 -0800
@@ -126,11 +126,9 @@ struct hw_interrupt_type no_irq_type = {
 };
 
 atomic_t irq_err_count;
-#ifdef CONFIG_X86_IO_APIC
-#ifdef APIC_MISMATCH_DEBUG
+#if defined(CONFIG_X86_IO_APIC) && defined(APIC_MISMATCH_DEBUG)
 atomic_t irq_mis_count;
 #endif
-#endif
 
 /*
  * Generic, controller-independent functions:
@@ -186,11 +184,9 @@ skip:
 		seq_putc(p, '\n');
 #endif
 		seq_printf(p, "ERR: %10u\n", atomic_read(&irq_err_count));
-#ifdef CONFIG_X86_IO_APIC
-#ifdef APIC_MISMATCH_DEBUG
+#if defined(CONFIG_X86_IO_APIC) && defined(APIC_MISMATCH_DEBUG)
 		seq_printf(p, "MIS: %10u\n", atomic_read(&irq_mis_count));
 #endif
-#endif
 	}
 	return 0;
 }

_
